diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_xml_test_utils.py b/media/webrtc/trunk/testing/gtest/test/gtest_xml_test_utils.py
index 0e5a1089d1..1542337f6b 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_xml_test_utils.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_xml_test_utils.py
@@ -68,37 +68,37 @@ class GTestXMLTestCase(gtest_test_utils.TestCase):
     """
 
     if expected_node.nodeType == Node.CDATA_SECTION_NODE:
-      self.assertEquals(Node.CDATA_SECTION_NODE, actual_node.nodeType)
-      self.assertEquals(expected_node.nodeValue, actual_node.nodeValue)
+      self.assertEqual(Node.CDATA_SECTION_NODE, actual_node.nodeType)
+      self.assertEqual(expected_node.nodeValue, actual_node.nodeValue)
       return
 
-    self.assertEquals(Node.ELEMENT_NODE, actual_node.nodeType)
-    self.assertEquals(Node.ELEMENT_NODE, expected_node.nodeType)
-    self.assertEquals(expected_node.tagName, actual_node.tagName)
+    self.assertEqual(Node.ELEMENT_NODE, actual_node.nodeType)
+    self.assertEqual(Node.ELEMENT_NODE, expected_node.nodeType)
+    self.assertEqual(expected_node.tagName, actual_node.tagName)
 
     expected_attributes = expected_node.attributes
     actual_attributes   = actual_node  .attributes
-    self.assertEquals(
+    self.assertEqual(
         expected_attributes.length, actual_attributes.length,
         'attribute numbers differ in element ' + actual_node.tagName)
     for i in range(expected_attributes.length):
       expected_attr = expected_attributes.item(i)
       actual_attr   = actual_attributes.get(expected_attr.name)
-      self.assert_(
+      self.assertTrue(
           actual_attr is not None,
           'expected attribute %s not found in element %s' %
           (expected_attr.name, actual_node.tagName))
-      self.assertEquals(expected_attr.value, actual_attr.value,
+      self.assertEqual(expected_attr.value, actual_attr.value,
                         ' values of attribute %s in element %s differ' %
                         (expected_attr.name, actual_node.tagName))
 
     expected_children = self._GetChildren(expected_node)
     actual_children = self._GetChildren(actual_node)
-    self.assertEquals(
+    self.assertEqual(
         len(expected_children), len(actual_children),
         'number of child elements differ in element ' + actual_node.tagName)
-    for child_id, child in expected_children.iteritems():
-      self.assert_(child_id in actual_children,
+    for child_id, child in expected_children.items():
+      self.assertTrue(child_id in actual_children,
                    '<%s> is not in <%s> (in element %s)' %
                    (child_id, actual_children, actual_node.tagName))
       self.AssertEquivalentNodes(child, actual_children[child_id])
@@ -126,10 +126,10 @@ class GTestXMLTestCase(gtest_test_utils.TestCase):
     children = {}
     for child in element.childNodes:
       if child.nodeType == Node.ELEMENT_NODE:
-        self.assert_(child.tagName in self.identifying_attribute,
+        self.assertTrue(child.tagName in self.identifying_attribute,
                      'Encountered unknown element <%s>' % child.tagName)
         childID = child.getAttribute(self.identifying_attribute[child.tagName])
-        self.assert_(childID not in children)
+        self.assertTrue(childID not in children)
         children[childID] = child
       elif child.nodeType in [Node.TEXT_NODE, Node.CDATA_SECTION_NODE]:
         if 'detail' not in children:
diff --git a/media/webrtc/trunk/testing/gtest/xcode/Scripts/versiongenerate.py b/media/webrtc/trunk/testing/gtest/xcode/Scripts/versiongenerate.py
index 81de8c96ac..edbbba669d 100644
--- a/media/webrtc/trunk/testing/gtest/xcode/Scripts/versiongenerate.py
+++ b/media/webrtc/trunk/testing/gtest/xcode/Scripts/versiongenerate.py
@@ -54,14 +54,14 @@ import re
 
 # Read the command line argument (the output directory for Version.h)
 if (len(sys.argv) < 3):
-  print "Usage: versiongenerate.py input_dir output_dir"
+  print("Usage: versiongenerate.py input_dir output_dir")
   sys.exit(1)
 else:
   input_dir = sys.argv[1]
   output_dir = sys.argv[2]
 
 # Read the first 1024 characters of the configure.ac file
-config_file = open("%s/configure.ac" % input_dir, 'r')
+config_file = open("%s/configure.ac" % input_dir)
 buffer_size = 1024
 opening_string = config_file.read(buffer_size)
 config_file.close()
@@ -91,10 +91,10 @@ file_data = """//
 // this, we are not not restricted to C-syntax nor are we using include guards.
 //
 
-#define GTEST_VERSIONINFO_SHORT %s.%s
-#define GTEST_VERSIONINFO_LONG %s.%s.%s
+#define GTEST_VERSIONINFO_SHORT {}.{}
+#define GTEST_VERSIONINFO_LONG {}.{}.{}
 
-""" % (major_version, minor_version, major_version, minor_version, fix_version)
+""".format(major_version, minor_version, major_version, minor_version, fix_version)
 version_file = open("%s/Version.h" % output_dir, 'w')
 version_file.write(file_data)
 version_file.close()
diff --git a/media/webrtc/trunk/tools/gyp/PRESUBMIT.py b/media/webrtc/trunk/tools/gyp/PRESUBMIT.py
index dde025383c..8180fe5f95 100644
--- a/media/webrtc/trunk/tools/gyp/PRESUBMIT.py
+++ b/media/webrtc/trunk/tools/gyp/PRESUBMIT.py
@@ -85,7 +85,7 @@ def CheckChangeOnCommit(input_api, output_api):
 
   # Accept any year number from 2009 to the current year.
   current_year = int(input_api.time.strftime('%Y'))
-  allowed_years = (str(s) for s in reversed(xrange(2009, current_year + 1)))
+  allowed_years = (str(s) for s in reversed(range(2009, current_year + 1)))
   years_re = '(' + '|'.join(allowed_years) + ')'
 
   # The (c) is deprecated, but tolerate it until it's removed from all files.
diff --git a/media/webrtc/trunk/tools/gyp/buildbot/buildbot_run.py b/media/webrtc/trunk/tools/gyp/buildbot/buildbot_run.py
index 9a2b71f1b3..964ed26bf0 100755
--- a/media/webrtc/trunk/tools/gyp/buildbot/buildbot_run.py
+++ b/media/webrtc/trunk/tools/gyp/buildbot/buildbot_run.py
@@ -24,14 +24,14 @@ def CallSubProcess(*args, **kwargs):
   with open(os.devnull) as devnull_fd:
     retcode = subprocess.call(stdin=devnull_fd, *args, **kwargs)
   if retcode != 0:
-    print '@@@STEP_EXCEPTION@@@'
+    print('@@@STEP_EXCEPTION@@@')
     sys.exit(1)
 
 
 def PrepareCmake():
   """Build CMake 2.8.8 since the version in Precise is 2.8.7."""
   if os.environ['BUILDBOT_CLOBBER'] == '1':
-    print '@@@BUILD_STEP Clobber CMake checkout@@@'
+    print('@@@BUILD_STEP Clobber CMake checkout@@@')
     shutil.rmtree(CMAKE_DIR)
 
   # We always build CMake 2.8.8, so no need to do anything
@@ -39,10 +39,10 @@ def PrepareCmake():
   if os.path.isdir(CMAKE_DIR):
     return
 
-  print '@@@BUILD_STEP Initialize CMake checkout@@@'
+  print('@@@BUILD_STEP Initialize CMake checkout@@@')
   os.mkdir(CMAKE_DIR)
 
-  print '@@@BUILD_STEP Sync CMake@@@'
+  print('@@@BUILD_STEP Sync CMake@@@')
   CallSubProcess(
       ['git', 'clone',
        '--depth', '1',
@@ -53,7 +53,7 @@ def PrepareCmake():
        CMAKE_DIR],
       cwd=CMAKE_DIR)
 
-  print '@@@BUILD_STEP Build CMake@@@'
+  print('@@@BUILD_STEP Build CMake@@@')
   CallSubProcess(
       ['/bin/bash', 'bootstrap', '--prefix=%s' % CMAKE_DIR],
       cwd=CMAKE_DIR)
@@ -74,7 +74,7 @@ def GypTestFormat(title, format=None, msvs_version=None, tests=[]):
   if not format:
     format = title
 
-  print '@@@BUILD_STEP ' + title + '@@@'
+  print('@@@BUILD_STEP ' + title + '@@@')
   sys.stdout.flush()
   env = os.environ.copy()
   if msvs_version:
@@ -89,17 +89,17 @@ def GypTestFormat(title, format=None, msvs_version=None, tests=[]):
   retcode = subprocess.call(command, cwd=ROOT_DIR, env=env, shell=True)
   if retcode:
     # Emit failure tag, and keep going.
-    print '@@@STEP_FAILURE@@@'
+    print('@@@STEP_FAILURE@@@')
     return 1
   return 0
 
 
 def GypBuild():
   # Dump out/ directory.
-  print '@@@BUILD_STEP cleanup@@@'
-  print 'Removing %s...' % OUT_DIR
+  print('@@@BUILD_STEP cleanup@@@')
+  print('Removing %s...' % OUT_DIR)
   shutil.rmtree(OUT_DIR, ignore_errors=True)
-  print 'Done.'
+  print('Done.')
 
   retcode = 0
   if sys.platform.startswith('linux'):
@@ -128,7 +128,7 @@ def GypBuild():
     #     after the build proper that could be used for cumulative failures),
     #     use that instead of this. This isolates the final return value so
     #     that it isn't misattributed to the last stage.
-    print '@@@BUILD_STEP failures@@@'
+    print('@@@BUILD_STEP failures@@@')
     sys.exit(retcode)
 
 
diff --git a/media/webrtc/trunk/tools/gyp/gyptest.py b/media/webrtc/trunk/tools/gyp/gyptest.py
index 8e4fc47d5c..b45c287717 100755
--- a/media/webrtc/trunk/tools/gyp/gyptest.py
+++ b/media/webrtc/trunk/tools/gyp/gyptest.py
@@ -13,7 +13,7 @@ import optparse
 import subprocess
 import sys
 
-class CommandRunner(object):
+class CommandRunner:
   """
   Executor class for commands, including "commands" implemented by
   Python functions.
@@ -51,7 +51,7 @@ class CommandRunner(object):
     if type(command) == type(()):
       func = command[0]
       args = command[1:]
-      s = '%s(%s)' % (func.__name__, ', '.join(map(repr, args)))
+      s = '{}({})'.format(func.__name__, ', '.join(map(repr, args)))
     if type(command) == type([]):
       # TODO:  quote arguments containing spaces
       # TODO:  handle meta characters?
@@ -69,7 +69,7 @@ class CommandRunner(object):
     """
     if not self.active:
       return 0
-    if type(command) == type(''):
+    if type(command) == str:
       command = self.subst(command)
       cmdargs = shlex.split(command)
       if cmdargs[0] == 'cd':
@@ -117,7 +117,7 @@ class CommandRunner(object):
     return self.execute(command, stdout, stderr)
 
 
-class Unbuffered(object):
+class Unbuffered:
   def __init__(self, fp):
     self.fp = fp
   def write(self, arg):
@@ -190,13 +190,13 @@ def main(argv=None):
       tests.extend(find_all_gyptest_files(os.path.normpath(arg)))
     else:
       if not is_test_name(os.path.basename(arg)):
-        print >>sys.stderr, arg, 'is not a valid gyp test name.'
+        print(arg, 'is not a valid gyp test name.', file=sys.stderr)
         sys.exit(1)
       tests.append(arg)
 
   if opts.list:
     for test in tests:
-      print test
+      print(test)
     sys.exit(0)
 
   CommandRunner.verbose = not opts.quiet
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSNew.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSNew.py
index 593f0e5b0b..71730e4ebb 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSNew.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSNew.py
@@ -59,7 +59,7 @@ def MakeGuid(name, seed='msvs_new'):
 #------------------------------------------------------------------------------
 
 
-class MSVSSolutionEntry(object):
+class MSVSSolutionEntry:
   def __cmp__(self, other):
     # Sort by name then guid (so things are in order on vs2008).
     return cmp((self.name, self.get_guid()), (other.name, other.get_guid()))
@@ -172,7 +172,7 @@ class MSVSProject(MSVSSolutionEntry):
 #------------------------------------------------------------------------------
 
 
-class MSVSSolution(object):
+class MSVSSolution:
   """Visual Studio solution."""
 
   def __init__(self, path, version, entries=None, variants=None,
@@ -250,7 +250,7 @@ class MSVSSolution(object):
       # msbuild does not accept an empty folder_name.
       # use '.' in case relative_path is empty.
       folder_name = relative_path.replace('/', '\\') or '.'
-      f.write('Project("%s") = "%s", "%s", "%s"\r\n' % (
+      f.write('Project("{}") = "{}", "{}", "{}"\r\n'.format(
           e.entry_type_guid,          # Entry type GUID
           e.name,                     # Folder name
           folder_name,                # Folder name (again)
@@ -268,14 +268,14 @@ class MSVSSolution(object):
         if e.items:
           f.write('\tProjectSection(SolutionItems) = preProject\r\n')
           for i in e.items:
-            f.write('\t\t%s = %s\r\n' % (i, i))
+            f.write('\t\t{} = {}\r\n'.format(i, i))
           f.write('\tEndProjectSection\r\n')
 
       if isinstance(e, MSVSProject):
         if e.dependencies:
           f.write('\tProjectSection(ProjectDependencies) = postProject\r\n')
           for d in e.dependencies:
-            f.write('\t\t%s = %s\r\n' % (d.get_guid(), d.get_guid()))
+            f.write('\t\t{} = {}\r\n'.format(d.get_guid(), d.get_guid()))
           f.write('\tEndProjectSection\r\n')
 
       f.write('EndProject\r\n')
@@ -286,7 +286,7 @@ class MSVSSolution(object):
     # Configurations (variants)
     f.write('\tGlobalSection(SolutionConfigurationPlatforms) = preSolution\r\n')
     for v in self.variants:
-      f.write('\t\t%s = %s\r\n' % (v, v))
+      f.write('\t\t{} = {}\r\n'.format(v, v))
     f.write('\tEndGlobalSection\r\n')
 
     # Sort config guids for easier diffing of solution changes.
@@ -304,14 +304,14 @@ class MSVSSolution(object):
         nv = config_guids_overrides[g].get(v, v)
         # Pick which project configuration to build for this solution
         # configuration.
-        f.write('\t\t%s.%s.ActiveCfg = %s\r\n' % (
+        f.write('\t\t{}.{}.ActiveCfg = {}\r\n'.format(
             g,              # Project GUID
             v,              # Solution build configuration
             nv,             # Project build config for that solution config
         ))
 
         # Enable project in this solution configuration.
-        f.write('\t\t%s.%s.Build.0 = %s\r\n' % (
+        f.write('\t\t{}.{}.Build.0 = {}\r\n'.format(
             g,              # Project GUID
             v,              # Solution build configuration
             nv,             # Project build config for that solution config
@@ -332,7 +332,7 @@ class MSVSSolution(object):
         if not isinstance(e, MSVSFolder):
           continue        # Does not apply to projects, only folders
         for subentry in e.entries:
-          f.write('\t\t%s = %s\r\n' % (subentry.get_guid(), e.get_guid()))
+          f.write('\t\t{} = {}\r\n'.format(subentry.get_guid(), e.get_guid()))
       f.write('\tEndGlobalSection\r\n')
 
     f.write('EndGlobal\r\n')
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSProject.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSProject.py
index db1ceede34..0b74fb8996 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSProject.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSProject.py
@@ -10,7 +10,7 @@ import gyp.easy_xml as easy_xml
 #------------------------------------------------------------------------------
 
 
-class Tool(object):
+class Tool:
   """Visual Studio tool."""
 
   def __init__(self, name, attrs=None):
@@ -31,7 +31,7 @@ class Tool(object):
     """
     return ['Tool', self._attrs]
 
-class Filter(object):
+class Filter:
   """Visual Studio filter - that is, a virtual folder."""
 
   def __init__(self, name, contents=None):
@@ -48,7 +48,7 @@ class Filter(object):
 #------------------------------------------------------------------------------
 
 
-class Writer(object):
+class Writer:
   """Visual Studio XML project writer."""
 
   def __init__(self, project_path, version, name, guid=None, platforms=None):
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSSettings.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSSettings.py
index 8ae19180ea..993c2f0115 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSSettings.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSSettings.py
@@ -32,7 +32,7 @@ _msvs_to_msbuild_converters = {}
 _msbuild_name_of_tool = {}
 
 
-class _Tool(object):
+class _Tool:
   """Represents a tool used by MSVS or MSBuild.
 
   Attributes:
@@ -64,7 +64,7 @@ def _GetMSBuildToolSettings(msbuild_settings, tool):
   return msbuild_settings.setdefault(tool.msbuild_name, {})
 
 
-class _Type(object):
+class _Type:
   """Type of settings (Base class)."""
 
   def ValidateMSVS(self, value):
@@ -106,11 +106,11 @@ class _String(_Type):
   """A setting that's just a string."""
 
   def ValidateMSVS(self, value):
-    if not isinstance(value, basestring):
+    if not isinstance(value, str):
       raise ValueError('expected string; got %r' % value)
 
   def ValidateMSBuild(self, value):
-    if not isinstance(value, basestring):
+    if not isinstance(value, str):
       raise ValueError('expected string; got %r' % value)
 
   def ConvertToMSBuild(self, value):
@@ -122,11 +122,11 @@ class _StringList(_Type):
   """A settings that's a list of strings."""
 
   def ValidateMSVS(self, value):
-    if not isinstance(value, basestring) and not isinstance(value, list):
+    if not isinstance(value, str) and not isinstance(value, list):
       raise ValueError('expected string list; got %r' % value)
 
   def ValidateMSBuild(self, value):
-    if not isinstance(value, basestring) and not isinstance(value, list):
+    if not isinstance(value, str) and not isinstance(value, list):
       raise ValueError('expected string list; got %r' % value)
 
   def ConvertToMSBuild(self, value):
@@ -191,8 +191,8 @@ class _Enumeration(_Type):
   def __init__(self, label_list, new=None):
     _Type.__init__(self)
     self._label_list = label_list
-    self._msbuild_values = set(value for value in label_list
-                               if value is not None)
+    self._msbuild_values = {value for value in label_list
+                               if value is not None}
     if new is not None:
       self._msbuild_values.update(new)
 
@@ -337,7 +337,7 @@ def _ConvertedToAdditionalOption(tool, msvs_name, flag):
     if value == 'true':
       tool_settings = _GetMSBuildToolSettings(msbuild_settings, tool)
       if 'AdditionalOptions' in tool_settings:
-        new_flags = '%s %s' % (tool_settings['AdditionalOptions'], flag)
+        new_flags = '{} {}'.format(tool_settings['AdditionalOptions'], flag)
       else:
         new_flags = flag
       tool_settings['AdditionalOptions'] = new_flags
@@ -400,7 +400,7 @@ def _ValidateExclusionSetting(setting, settings, error_msg, stderr=sys.stderr):
 
   if unrecognized:
     # We don't know this setting. Give a warning.
-    print >> stderr, error_msg
+    print(error_msg, file=stderr)
 
 
 def FixVCMacroSlashes(s):
@@ -433,7 +433,7 @@ def ConvertVCMacrosToMSBuild(s):
         '$(PlatformName)': '$(Platform)',
         '$(SafeInputName)': '%(Filename)',
     }
-    for old, new in replace_map.iteritems():
+    for old, new in replace_map.items():
       s = s.replace(old, new)
     s = FixVCMacroSlashes(s)
   return s
@@ -453,17 +453,17 @@ def ConvertToMSBuildSettings(msvs_settings, stderr=sys.stderr):
       dictionaries of settings and their values.
   """
   msbuild_settings = {}
-  for msvs_tool_name, msvs_tool_settings in msvs_settings.iteritems():
+  for msvs_tool_name, msvs_tool_settings in msvs_settings.items():
     if msvs_tool_name in _msvs_to_msbuild_converters:
       msvs_tool = _msvs_to_msbuild_converters[msvs_tool_name]
-      for msvs_setting, msvs_value in msvs_tool_settings.iteritems():
+      for msvs_setting, msvs_value in msvs_tool_settings.items():
         if msvs_setting in msvs_tool:
           # Invoke the translation function.
           try:
             msvs_tool[msvs_setting](msvs_value, msbuild_settings)
-          except ValueError, e:
-            print >> stderr, ('Warning: while converting %s/%s to MSBuild, '
-                              '%s' % (msvs_tool_name, msvs_setting, e))
+          except ValueError as e:
+            print(('Warning: while converting %s/%s to MSBuild, '
+                              '%s' % (msvs_tool_name, msvs_setting, e)), file=stderr)
         else:
           _ValidateExclusionSetting(msvs_setting,
                                     msvs_tool,
@@ -472,8 +472,8 @@ def ConvertToMSBuildSettings(msvs_settings, stderr=sys.stderr):
                                      (msvs_tool_name, msvs_setting)),
                                     stderr)
     else:
-      print >> stderr, ('Warning: unrecognized tool %s while converting to '
-                        'MSBuild.' % msvs_tool_name)
+      print(('Warning: unrecognized tool %s while converting to '
+                        'MSBuild.' % msvs_tool_name), file=stderr)
   return msbuild_settings
 
 
@@ -513,13 +513,13 @@ def _ValidateSettings(validators, settings, stderr):
   for tool_name in settings:
     if tool_name in validators:
       tool_validators = validators[tool_name]
-      for setting, value in settings[tool_name].iteritems():
+      for setting, value in settings[tool_name].items():
         if setting in tool_validators:
           try:
             tool_validators[setting](value)
-          except ValueError, e:
-            print >> stderr, ('Warning: for %s/%s, %s' %
-                              (tool_name, setting, e))
+          except ValueError as e:
+            print(('Warning: for %s/%s, %s' %
+                              (tool_name, setting, e)), file=stderr)
         else:
           _ValidateExclusionSetting(setting,
                                     tool_validators,
@@ -528,7 +528,7 @@ def _ValidateSettings(validators, settings, stderr):
                                     stderr)
 
     else:
-      print >> stderr, ('Warning: unrecognized tool %s' % tool_name)
+      print(('Warning: unrecognized tool %s' % tool_name), file=stderr)
 
 
 # MSVS and MBuild names of the tools.
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSToolFile.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSToolFile.py
index 74e529a17f..ef5b12231f 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSToolFile.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSToolFile.py
@@ -8,7 +8,7 @@ import gyp.common
 import gyp.easy_xml as easy_xml
 
 
-class Writer(object):
+class Writer:
   """Visual Studio XML tool file writer."""
 
   def __init__(self, tool_file_path, name):
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSUserFile.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSUserFile.py
index 6c07e9a893..6dda1e1b03 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSUserFile.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSUserFile.py
@@ -51,7 +51,7 @@ def _QuoteWin32CommandLineArgs(args):
     new_args.append(arg)
   return new_args
 
-class Writer(object):
+class Writer:
   """Visual Studio XML user user file writer."""
 
   def __init__(self, user_file_path, version, name):
@@ -90,8 +90,8 @@ class Writer(object):
     abs_command = _FindCommandInPath(command[0])
 
     if environment and isinstance(environment, dict):
-      env_list = ['%s="%s"' % (key, val)
-                  for (key,val) in environment.iteritems()]
+      env_list = ['{}="{}"'.format(key, val)
+                  for (key,val) in environment.items()]
       environment = ' '.join(env_list)
     else:
       environment = ''
@@ -135,7 +135,7 @@ class Writer(object):
   def WriteIfChanged(self):
     """Writes the user file."""
     configs = ['Configurations']
-    for config, spec in sorted(self.configurations.iteritems()):
+    for config, spec in sorted(self.configurations.items()):
       configs.append(spec)
 
     content = ['VisualStudioUserFile',
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSUtil.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSUtil.py
index 96dea6c2c9..28b725d00c 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSUtil.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSUtil.py
@@ -55,7 +55,7 @@ def _SuffixName(name, suffix):
     Target name with suffix added (foo_suffix#target)
   """
   parts = name.rsplit('#', 1)
-  parts[0] = '%s_%s' % (parts[0], suffix)
+  parts[0] = '{}_{}'.format(parts[0], suffix)
   return '#'.join(parts)
 
 
@@ -160,7 +160,7 @@ def _GetPdbPath(target_dict, config_name, vars):
 
 
   pdb_base = target_dict.get('product_name', target_dict['target_name'])
-  pdb_base = '%s.%s.pdb' % (pdb_base, TARGET_TYPE_EXT[target_dict['type']])
+  pdb_base = '{}.{}.pdb'.format(pdb_base, TARGET_TYPE_EXT[target_dict['type']])
   pdb_path = vars['PRODUCT_DIR'] + '/' + pdb_base
 
   return pdb_path
@@ -236,7 +236,7 @@ def InsertLargePdbShims(target_list, target_dicts, vars):
 
     # Set up the shim to output its PDB to the same location as the final linker
     # target.
-    for config_name, config in shim_dict.get('configurations').iteritems():
+    for config_name, config in shim_dict.get('configurations').items():
       pdb_path = _GetPdbPath(target_dict, config_name, vars)
 
       # A few keys that we don't want to propagate.
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSVersion.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSVersion.py
index edaf6eed00..6ff461102f 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSVersion.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/MSVSVersion.py
@@ -13,7 +13,7 @@ import gyp
 import glob
 
 
-class VisualStudioVersion(object):
+class VisualStudioVersion:
   """Information regarding a version of Visual Studio."""
 
   def __init__(self, short_name, description,
@@ -168,7 +168,7 @@ def _RegistryQuery(key, value=None):
   text = None
   try:
     text = _RegistryQueryBase('Sysnative', key, value)
-  except OSError, e:
+  except OSError as e:
     if e.errno == errno.ENOENT:
       text = _RegistryQueryBase('System32', key, value)
     else:
@@ -186,13 +186,13 @@ def _RegistryGetValueUsingWinReg(key, value):
     contents of the registry key's value, or None on failure.  Throws
     ImportError if _winreg is unavailable.
   """
-  import _winreg
+  import six.moves.winreg
   try:
     root, subkey = key.split('\\', 1)
     assert root == 'HKLM'  # Only need HKLM for now.
-    with _winreg.OpenKey(_winreg.HKEY_LOCAL_MACHINE, subkey) as hkey:
-      return _winreg.QueryValueEx(hkey, value)[0]
-  except WindowsError:
+    with six.moves.winreg.OpenKey(six.moves.winreg.HKEY_LOCAL_MACHINE, subkey) as hkey:
+      return six.moves.winreg.QueryValueEx(hkey, value)[0]
+  except OSError:
     return None
 
 
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/__init__.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/__init__.py
index b26977592b..6871786a60 100755
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/__init__.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/__init__.py
@@ -34,8 +34,8 @@ def DebugOutput(mode, message, *args):
       pass
     if args:
       message %= args
-    print '%s:%s:%d:%s %s' % (mode.upper(), os.path.basename(ctx[0]),
-                              ctx[1], ctx[2], message)
+    print('%s:%s:%d:%s %s' % (mode.upper(), os.path.basename(ctx[0]),
+                              ctx[1], ctx[2], message))
 
 def FindBuildFiles():
   extension = '.gyp'
@@ -163,7 +163,7 @@ def ShlexEnv(env_name):
 
 def FormatOpt(opt, value):
   if opt.startswith('--'):
-    return '%s=%s' % (opt, value)
+    return '{}={}'.format(opt, value)
   return opt + value
 
 def RegenerateAppendFlag(flag, values, predicate, env_name, options):
@@ -210,7 +210,7 @@ def RegenerateFlags(options):
   # We always want to ignore the environment when regenerating, to avoid
   # duplicate or changed flags in the environment at the time of regeneration.
   flags = ['--ignore-environment']
-  for name, metadata in options._regeneration_metadata.iteritems():
+  for name, metadata in options._regeneration_metadata.items():
     opt = metadata['opt']
     value = getattr(options, name)
     value_predicate = metadata['type'] == 'path' and FixPath or Noop
@@ -229,12 +229,12 @@ def RegenerateFlags(options):
           (action == 'store_false' and not value)):
         flags.append(opt)
       elif options.use_environment and env_name:
-        print >>sys.stderr, ('Warning: environment regeneration unimplemented '
+        print(('Warning: environment regeneration unimplemented '
                              'for %s flag %r env_name %r' % (action, opt,
-                                                             env_name))
+                                                             env_name)), file=sys.stderr)
     else:
-      print >>sys.stderr, ('Warning: regeneration unimplemented for action %r '
-                           'flag %r' % (action, opt))
+      print(('Warning: regeneration unimplemented for action %r '
+                           'flag %r' % (action, opt)), file=sys.stderr)
 
   return flags
 
@@ -413,7 +413,7 @@ def gyp_main(args):
     for option, value in sorted(options.__dict__.items()):
       if option[0] == '_':
         continue
-      if isinstance(value, basestring):
+      if isinstance(value, str):
         DebugOutput(DEBUG_GENERAL, "  %s: '%s'", option, value)
       else:
         DebugOutput(DEBUG_GENERAL, "  %s: %s", option, value)
@@ -435,7 +435,7 @@ def gyp_main(args):
       build_file_dir = os.path.abspath(os.path.dirname(build_file))
       build_file_dir_components = build_file_dir.split(os.path.sep)
       components_len = len(build_file_dir_components)
-      for index in xrange(components_len - 1, -1, -1):
+      for index in range(components_len - 1, -1, -1):
         if build_file_dir_components[index] == 'src':
           options.depth = os.path.sep.join(build_file_dir_components)
           break
@@ -478,7 +478,7 @@ def gyp_main(args):
   if home_dot_gyp != None:
     default_include = os.path.join(home_dot_gyp, 'include.gypi')
     if os.path.exists(default_include):
-      print 'Using overrides found in ' + default_include
+      print('Using overrides found in ' + default_include)
       includes.append(default_include)
 
   # Command-line --include files come after the default include.
@@ -493,7 +493,7 @@ def gyp_main(args):
   if options.generator_flags:
     gen_flags += options.generator_flags
   generator_flags = NameValueListToDict(gen_flags)
-  if DEBUG_GENERAL in gyp.debug.keys():
+  if DEBUG_GENERAL in list(gyp.debug.keys()):
     DebugOutput(DEBUG_GENERAL, "generator_flags: %s", generator_flags)
 
   # Generate all requested formats (use a set in case we got one format request
@@ -526,7 +526,7 @@ def gyp_main(args):
     generator.GenerateOutput(flat_list, targets, data, params)
 
     if options.configs:
-      valid_configs = targets[flat_list[0]]['configurations'].keys()
+      valid_configs = list(targets[flat_list[0]]['configurations'].keys())
       for conf in options.configs:
         if conf not in valid_configs:
           raise GypError('Invalid config specified via --build: %s' % conf)
@@ -539,7 +539,7 @@ def gyp_main(args):
 def main(args):
   try:
     return gyp_main(args)
-  except GypError, e:
+  except GypError as e:
     sys.stderr.write("gyp: %s\n" % e)
     return 1
 
